import sys

def location():
    """現在行のファイル名と行番号を返す"""
    frame = sys._getframe(1)
    filename = frame.f_code.co_filename   #<- ファイル名
    lineno   = frame.f_lineno             #<- 行番号
    del frame
    return filename, lineno

## 使い方
filename, lineno = location()
print(f"filename={filename}, lineno={lineno}")
