class Soldier(object):

    def __init__(self, name, height):
        self.name   = name
        self.height = height

    def __getitem__(self, key):         #<- obj[key] に相当
        if key == 'name':   return self.name
        if key == 'height': return self.height
        raise KeyError(key)

    def __setitem__(self, key, value):  #<- obj[key] = value 相当
        if   key == 'name':   self.name   = value
        elif key == 'height': self.height = value
        else:
            raise KeyError(key)

    def __delitem__(self, key):         #<- del obj[key] に相当
        if   key == 'name':   self.name   = None
        elif key == 'height': self.height = None
        else:
            raise KeyError(key)

## 使用例
eren = Soldier(u"エレン", 170)
print(eren.name)               #=> エレン
print(eren['name'])            #=> エレン
eren['name'] = u"Eren Yeager"
print(eren.name)               #=> Eren Yeager
print(eren['name'])            #=> Eren Yeager
del eren['name']
print(eren.name)               #=> None
