def new_hello(default_name):   #<- クロージャを生成して返す関数
    def hello(name=None):      #<- クロージャを生成
        if name is None:
            name = default_name  #<- 外側の変数を参照
        print(f"Hello, {name}!")
    return hello               #<- 生成したクロージャを返す

## 使い方
hello = new_hello("WORLD")     #<- デフォルト名を指定すると
hello()                        #<- それが出力に使われる
