from datetime import date, timedelta

class Days:

    def __rmul__(self, n):  #<- 左右を入れ替えた「*」
        return timedelta(days=n)

## 使い方
days = Days()
print(3*days)         #=> 3 days, 0:00:00
print(type(3*days))   #=> <class 'datetime.timedelta'>
print((3*days).total_seconds())   #=> 259200.0  #<- 3日間は259200秒
