class MyList(list):

    def __lshift__(self, arg):   #<- 「<<」に対応する特殊メソッド
        list.append(self, arg)   #<- 親クラスのメソッドを呼び出す
        return self              #<- リスト自身を返す

## 使い方
list1 = MyList(['A', 'B'])
list1 << 'C' << 'D' << 'E'       #<- 「<<」を連続して使える
print(list1)    #=> ['A', 'B', 'C', 'D', 'E']
