class Runner:                 #<- ランナーを表すクラス

    def __init__(self, name):
        self.name     = name
        self.distance = 0     #<- 前との距離

    def __repr__(self):
        return f"Runner({self.name}, distance={self.distance})"

    def __neg__(self):        #<- 単項演算子「-」を上書き
        self.distance += 2    #<- 前との距離を2m増やす
        return self           #<- 重要：自分自身を返す

    def __invert__(self):     #<- 単項演算子「~」を上書き
        self.distance += 10   #<- 前との距離を10m増やす
        return self           #<- 重要：自分自身を返す

## 5名のランナー
A = Runner('A')
B = Runner('B')
C = Runner('C')
D = Runner('D')
E = Runner('E')
print(A)
print(-B)        #<- 前との距離が2m
print(--C)       #<- 前との距離が4m
print(-----D)    #<- 前との距離が10m
print(~~E)       #<- 前との距離が20m
