from django.http import HttpResponse, HttpResponseNotAllowed

def index(request):
    if request.method in ('GET', 'HEAD'):
        return HttpResponse("<p>Hello GET!</p>\n")
    elif request.method == 'POST':
        return HttpResponse("<p>Hello POST!</p>\n")
    else:
        return HttpResponseNotAllowed(['GET', 'HEAD', 'POST'],
                            "<p>405 Method Not Allowed</p>\n")
