from functools import wraps

def deco(func):
    @wraps(func)
    def newfunc(*args, **kwargs):
        return func(*args, **kwargs)
    return newfunc

@deco
def hello(name):
    print(f"Hello, {name}!")

print(hello)                      #<- 新しい関数
print(hello.__wrapped__)          #<- もとの関数
