def outer(x, y):
    def inner():
        print(f"x={x}, y={y}")
    return inner

func = outer(10, 'A')    #<- x が 10、y が 'A' になる
func()    #=> x=10, y=A

## 参照先のローカル変数の値を上書き（Python 3.7以降が必要）
func.__closure__[0].cell_contents = 11
func.__closure__[1].cell_contents = 'B'
func()    #=> x=11, y=B
