from types import FunctionType

class Dummy:
    def foo(): pass
    def bar(): pass
    def baz(): pass

## (a) クラスオブジェクトの属性を使う
for name in dir(Dummy):
    val = getattr(Dummy, name)
    if isinstance(val, FunctionType):
        print(f"{name}: {val}")

print()

## (b) クラスオブジェクトの辞書を使う
for name, val in Dummy.__dict__.items():
    if isinstance(val, FunctionType):
        print(f"{name}: {val}")
