import sys
from unittest import TestCase, TestLoader

def compareFirstLineNumber(self, method1, method2):
    """メソッド定義の開始行番号で比較する"""
    ## スタックフレームをたどってクラスオブジェクトを取り出す
    testCaseClass = sys._getframe(1).f_locals['testCaseClass']
    ## テストメソッドのコードオブジェクトを取り出す
    code1 = getattr(testCaseClass, method1).__code__
    code2 = getattr(testCaseClass, method2).__code__
    ## テストメソッドの開始行番号で比較する
    return code1.co_firstlineno - code2.co_firstlineno

TestLoader.sortTestMethodsUsing = compareFirstLineNumber

class DummyTest(TestCase):
    def test_foo(self): pass
    def test_bar(self): pass
    def test_baz(self): pass
