class DummyA:    #<- 親クラスを指定してないので「object」が親クラス
    pass

class DummyB(DummyA):  #<- DummyAを継承
    pass

class DummyC(DummyB):  #<- DummyBを継承
    pass

## 親クラスを調べる
print(DummyA.__bases__)  #=> (<class 'object'>,)
print(DummyB.__bases__)  #=> (<class '__main__.DummyA'>,)
print(DummyC.__bases__)  #=> (<class '__main__.DummyB'>,)
print("---")

## 祖先クラスをすべて調べる
print(DummyC.__mro__)    #=> (<class '__main__.DummyC'>, <class '__main__.DummyB'>, <class '__main__.DummyA'>, <class 'object'>)
print("---")

## 子クラスを調べる
print(DummyA.__subclasses__())  #=> [<class '__main__.DummyB'>]
print(DummyB.__subclasses__())  #=> [<class '__main__.DummyC'>]
print(DummyC.__subclasses__())  #=> []
