class Dummy:
    x = 1000       #<- クラス変数
    y = 2000       #<- クラス変数

    def __init__(self, x, y=None):
        self.x = x
        if y is not None:  #<- yがNoneのときは
            self.y = y     #<- self.yを設定しない

obj = Dummy(10)       #<- xは指定するけどyは指定しない
print(obj.__dict__)   #=> {'x': 10}  (xはあるけどyがない)
print(obj.y)          #=> 2000

## インスタンス変数 y を設定する
obj.y = 20            #<- 参照と違い、クラスをたどらない
print(obj.__dict__)   #=> {'x': 10, 'y': 20}
print(obj.y)          #=> 20
print(Dummy.y)        #=> 2000
