class Hello:

    def __init__(self, name):
        self.name = name

    def hello(self):
        print(f"Hello, {self.name}!")

obj = Hello("world")

## (1) オブジェクトが属するクラスにアクセス
classobj = obj.__class__

## (2) クラスオブジェクトの辞書から「{{,hello,}}」を探す
func = classobj.__dict__['hello']

## (3) オブジェクトと関数からメソッドオブジェクトを生成
from types import MethodType
method = MethodType(func, obj)  #<- 関数とオブジェクトを結びつける

## (4) メソッドオブジェクトを実行
method()     #=> Hello, world!
