class MethodType:

    def __init__(self, func, obj):
        self.__func__ = func
        self.__self__ = obj

    def __call__(self, *args, **kwargs):
        ## func()の第1引数にobjを指定して呼び出す
        return self.__func__(self.__self__, *args, **kwargs)

## 例
class Hello:
    def __init__(self, name):
        self.name = name
obj = Hello("world")

def hello(self):
    print(f"Hello, {self.name}!")

method = MethodType(hello, obj)
method()                 #=> Hello, world!
