class User    #<- 主体となるクラス
  def initialize(name)   #<- Pythonの __init__()に相当
    @name = name         #<- Pythonの self.name = name に相当
  end
  def name
    @name                #<- Pythonの return self.name に相当
  end
end

module Hello  #<- 付加機能を提供するモジュール
  def hello
    return "Hello, #{self.name}!\n"
  end
end

## ミックスインの例
user = User.new("John")  #<- 個別のオブジェクトに
user.extend(Hello)       #<- 付加機能をミックスインすると
print(user.hello())      #<- そのオブジェクトで付加機能が使える。
print(user.name, "\n")   #<- もちろんUserクラスのメソッドも使える。
