class 取引先:
    def __init__(self, id, name):
        self._id   = id
        self._name = name

    id   = property(lambda self: self._id)    #<- 簡潔なプロパティ定義
    name = property(lambda self: self._name)  #<- 簡潔なプロパティ定義

class 仕入先(取引先):   #<- 子クラス（取引先クラスを継承）
    def 発注(self, 商品, 個数):
        print(f"{self.name}へ{商品}を{個数}個、発注しました。")

class 販売先(取引先):   #<- 子クラス（取引先クラスを継承）
    def 受注(self, 商品, 個数):
        print(f"{self.name}から{商品}を{個数}個、受注しました。")

## ある取引先を…
company = 取引先(100, "カウプラン機関")

## 仕入先として使ったり、
company.__class__ = 仕入先
company.発注("合成化合物", 200)

## 販売先として使う。
company.__class__ = 販売先
company.受注("化学薬品", 500)
