class 取引先:
    def __init__(self, id, name):
        self._id   = id
        self._name = name

    id   = property(lambda self: self._id)    #<- 簡潔なプロパティ定義
    name = property(lambda self: self._name)  #<- 簡潔なプロパティ定義

class 仕入先:   #<- 取引先クラスの継承を止める
    def 発注(self, 商品, 個数):
        print(f"{self.name}へ{商品}を{個数}個、発注しました。")

class 販売先:   #<- 取引先クラスの継承を止める
    def 受注(self, 商品, 個数):
        print(f"{self.name}から{商品}を{個数}個、受注しました。")

## ある取引先を…
company = 取引先(100, 'カウプラン機関')

## 仕入先として使ったり、
class 仕入先MixIn(仕入先, 取引先): #<- 多重継承した一時クラス
    pass
company.__class__ =  仕入先MixIn
company.発注('合成化合物', 200)

## 販売先として使う。
class 販売先MixIn(販売先, 取引先): #<- 多重継承した一時クラス
    pass
company.__class__ =  販売先MixIn
company.受注('化学薬品', 500)
