class Color:

    __slots__ = ('red', 'green', 'blue')  #<- インスタンス変数名を列挙

    def __init__(self, red, green, blue):
        self.red   = red      #<- 赤
        self.green = green    #<- 緑
        self.blue  = blue     #<- 青

## オブジェクトを作成
pink = Color(255, 192, 203)   #<- ピンク色
## __dict__属性がないことを確認
print(hasattr(pink, '__dict__'))  #=> False
#pink.__dict__
  #=> AttributeError: 'Color' object has no attribute '__dict__'
## red, green, blue以外の属性を追加できないことを確認
pink.alpha = 1.0
  #=> AttributeError: 'Color' object has no attribute 'alpha'
