class Hello:
    def hello(self, name):
        return f"Hello, {name}!"  #<- selfを使ってないことに注意

## オブジェクトを2つ作成（どちらも同じクラスを使う）
obj1 = Hello()
obj2 = Hello()   #<- こちらに特異メソッドを設定してみる

## 関数を作成して属性に設定する
def hello(name):      #<- 関数
    return f"こんにちは, {name}!"  #<- selfを使ってない
obj2.hello = hello    #<- 属性に設定
del hello             #<- もういらないので削除

## メソッドを呼び出す
print(obj1.hello("world"))    #=> Hello, world!
print(obj2.hello("world"))    #=> こんにちは, world!
