from types import MethodType

class Hello:
    def __init__(self, name):
        self.name = name

obj = Hello("world")

## '[]' 演算子に対応した特殊メソッドを、特異メソッドとして設定
def __getitem__(self, key):
    return getattr(self, key)
obj.__getitem__ = MethodType(__getitem__, obj)

## メソッドとしては動作するけど、演算子としては動作しない
print(obj.__getitem__('name'))  #=> world
print(obj['name'])              #=> TypeError
