domain = "example.com"          #<- ドメイン名

class APIClient:

    def __init__(self, api_ver):
        self.api_ver = api_ver  #<- APIバージョン番号

    @property
    def base_url(self):   #<- APIのベースURLを生成する
        return f"https://{domain}/api/v{self.api_ver}"

client = APIClient(2)
print(client.base_url)  #=> https://example.com/api/v2
