class Hello:

    def __get__(self, obj, klass):
        print(obj)     #<- インスタンスオブジェクト（またはNone）
        print(klass)   #<- クラスオブジェクト
        if obj is not None:
            return f"Hello, {obj.name}!" #<- self.nameではなくobj.name
        else:
            return "Hello, None!"

class Dummy:

    def __init__(self, name):
        self.name = name

    attr1 = Hello()         #<- ディスクリプタ

print(Dummy("world").attr1) #=> Hello, world!
print()
print(Dummy.attr1)          #=> Hello, world!
