class Hello:

    def __get__(self, obj, klass):
        return f"Hello, {obj.name}!"

    def __set__(self, obj, value):
        print(obj)       #=> <__main__.Dummy object at 0x10a652580>
        print(value)     #=> world
        obj.name = value

class Dummy:

    def __init__(self, name):
        self.name = name

    attr1 = Hello()

## インスタンスオブジェクトの属性attr1を設定する
obj = Dummy(None)     #<- 最初はNoneを設定
obj.attr1 = "world"   #<- attr1.__set__(obj, "world") が実行される
print(obj.attr1)      #=> Hello, world!
