## ドメイン名とユーザ名を受け取り、URLを返す
def build_url(domain, user):
    return f"https://{domain}/{user}/"

## Twitterのユーザ別URLを返す
def twitter_url(user):
    return build_url("twitter.com", user)

## 使い方
url1 = twitter_url("readDonaldTrump")
print(url1)  #=> https://twitter.com/readDonaldTrump/
url2 = twitter_url("_kauplan")
print(url2)  #=> https://twitter.com/_kauplan/
