class Hello(object):
    @classmethod         #<- クラスメソッドにする
    def __lshift__(cls, val):  #<- '<<' 演算子を表す特殊メソッド
        print(f"Hello, {val}!")

## メソッドとして呼び出すとうまく動作するけど、
## 演算子として呼び出すと動作してくれない
Hello.__lshift__('world')      #=> Hello, world!
Hello << 'world'               #=> TypeError
