class HelloMeta(type):
    def hello(self, name):   #<- 同じ名前のクラスメソッド
        print(f"HELLO, {name}!")

class Hello(object, metaclass=HelloMeta):
    def hello(self, name):   #<- 同じ名前のインスタンスメソッド
        print(f"Hello, {name}!")

## クラスメソッドを呼び出すと、実はインスタンスメソッドが呼び出される
## （クラスオブジェクトの辞書に格納されたメソッドのほうが優先される）
Hello.hello("world")  #=> TypeError
