def hello(self):
    print(f"Hello, {self.name}!")
dict_ = {               #<- 辞書オブジェクト
    "name": "world",    #<- クラス変数
    "hello": hello,     #<- インスタンスメソッド
}
name = "Hello"          #<- クラス名
bases = (object,)       #<- 親クラス（多重継承する場合は複数）

## クラスオブジェクトを作成
Hello = type(name, bases, dict_)
print(Hello)            #=> <class '__main__.Hello'>
print(Hello.name)       #=> world

## インスタンスオブジェクトが作れることを確認
Hello().hello()         #=> Hello, world!
