class MyMetaclass(type):   #<- メタクラスを定義
    def __init__(self, name, bases, dict_):
        type.__init__(self, name, bases, dict_)
        self.NAME = name   #<- クラス変数を追加

class Parent(object, metaclass=MyMetaclass):  #<- メタクラスを指定
    pass

class Child(Parent):   #<- メタクラスを指定したクラスを継承
    pass

## 継承したクラスでもクラス変数が追加されていることを確認
print(Parent.NAME)   #=> Parent
print(Child.NAME)    #=> Child
