class Cache:

    def __init__(self):
        self._data = {}

    def has(self, key):       #<- キャッシュされているか？
        return key in self._data

    def get(self, key):       #<- キャッシュデータを取得
        return self._data.get(key)

    def set(self, key, val):  #<- キャッシュデータを設定
        self._data[key] = val
        return val

## 使い方
cache = Cache()
if cache.has("key1"):         #<- キャッシュされているか？
    print(cache.get("key1"))  #<- キャッシュデータを取得
else:
    buf = []
    buf.append("<ul>\n")
    for i in range(1, 4):
        buf.append(f"  <i>{i}</li>\n")
    buf.append("</ul>")
    print(cache.set("key1", "".join(buf))) #<- キャッシュデータを設定
