## ジェネレータ関数（yield文を含むので）
def genfunc1():
    print("1st")
    yield          #<- ここで一時停止
    print("2nd")   #<- ここから再開
    yield          #<- ここで一時停止
    print("3rd")   #<- ここから再開
    #--- end ---   #<- 関数の最後に到達するとStopIteration例外

## ジェネレータオブジェクトを作成
gen = genfunc1()   #<- 呼び出しても関数の中の処理は開始されないので、
print("start!!")   #<- これが最初に表示される

## ジェネレータオブジェクトの処理を開始
gen.__next__()     #<- 1st （処理を開始する）
gen.__next__()     #<- 2nd （一時中断した処理を再開する）
gen.__next__()     #<- 3rd （一時中断した処理を再開する）
