## ジェネレータ関数（yield文を含むので）
def genfunc2():
    yield "1st"    #<- 一時停止し、"1st"を返す
    yield "2nd"    #<- 一時停止し、"2nd"を返す
    yield "3rd"    #<- 一時停止し、"3rd"を返す
    #--- end ---   #<- 関数の最後に到達するとStopIteration例外

## ジェネレータオブジェクトを作成
gen = genfunc2()   #<- 呼び出しても関数の中の処理は開始されないので、
print("start!!")   #<- これが最初に表示される

## ジェネレータオブジェクトの処理を開始
val = gen.__next__()  #<- 処理を「開始」する
print(val)            #=> 1st
val = gen.__next__()  #<- 処理を「再開」する
print(val)            #=> 2nd
val = gen.__next__()  #<- 処理を「再開」する
print(val)            #=> 3rd
val = gen.__next__()  #=> StopIteration（処理の最後に達したので）
