def fib():
    """フィボナッチ数列 (0,1,1,2,3,5,8,...) を生成する"""
    x, y = 0, 1
    while True:
        yield x
        x, y = y, x+y

nums = []
gen = fib()
for _ in range(10):
    n = gen.__next__()   #<- next(gen)でもOK
    nums.append(n)
print(nums)   #=> [0, 1, 1, 2, 3, 5, 8, 13, 21, 34]
