from contextlib import contextmanager

@contextmanager
def f2(value):
    print("** enter")   #<- 前処理
    yield value         #<- with文のブロックが実行される
    print("** exit")    #<- 後処理

## with文のブロックで例外が発生すると、後処理が実行されない
with f2(123) as x:
    x.foobar()          #=> AttributeError
