## NameErrorの場合
try:
    blabla()    #=> NameError: name 'blabla' is not defined
except Exception as ex1:
    print(str(ex1))      #=> name 'blabla' is not defined
    print(type(ex1))     #=> <class 'NameError'>
    print(ex1.args)      #=> ("name 'blabla' is not defined",)

print()

## FileNotFoundErrorの場合（args以外にも属性がある）
try:
    open("blabla.html")
except Exception as ex2:
    print(str(ex2))      #=> [Errno 2] No such file or directory: 'blabla.html'
    print(type(ex2))     #=> <class 'FileNotFoundError'>
    print(ex2.args)      #=> (2, 'No such file or directory')
    print(ex2.errno)     #=> 2
    print(ex2.filename)  #=> blabla.html
