import sys

NAME = "world"
def hello(name):
    print(f"Hello, {name}!")

## モジュールオブジェクトを作成
mod = type(sys)("blabla")
print(mod.__dict__)  #=> {'__name__': 'blabla', ...}

## 変数や関数を属性として設定してもいいし、
mod.NAME  = NAME
mod.hello = hello

## モジュールの辞書を使ってまとめて設定してもいい
mod.__dict__.update({"NAME": NAME, "hello": hello})

print()
print(mod.__dict__)  #=> {'NAME': 'world', 'hello': <function hello>, ...}
