import sys

## モジュールオブジェクトを作成
mod = type(sys)("blabla")

## sys.modulesに登録すると、モジュールが「読み込み済み」と認識される
sys.modules[mod.__name__] = mod

## すると「import blabla」を実行しても、blabla.pyを読み込もうとしない
import blabla   #<- blabla.pyを読み込まない
assert blabla is mod
