import sys

def debug(message):
    """ファイル名と行番号つきでメッセージをstderrに表示"""
    frame = sys._getframe(1)
    filename = frame.f_code.co_filename   #<- ファイル名
    lineno   = frame.f_lineno             #<- 行番号
    del frame
    sys.stderr.write(f"** [DEBUG] {filename}:{lineno}: {message}\n")

## 使い方
debug("something wrong")
