class Dummy(list):
    def __getitem__(self, key):
        print("** key=%r" % (key,))
        return list.__getitem__(self, key)

## スライス演算子を使うとスライスオブジェクトが生成される
obj = Dummy(['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H'])
print(obj[1:5])       #=> ['B', 'C', 'D', 'E']
print(obj[1:5:2])     #=> ['B', 'D']

## slice()を使うと「[]」の中以外でもスライスオブジェクトが作れる
print()
key = slice(1, 5)     #<- スライスオブジェクトを作成
print(obj[key])       #=> ['B', 'C', 'D', 'E']
