class Dummy(object):

    def __init__(self, **vars):
        self._vars = vars

    def __getattr__(self, name):
        return self._vars[name]

obj = Dummy(x=10, y=20)

## 属性が存在しないので、__getattr__()が呼び出される
print(obj.x)        #=> 10

## 属性が存在しているので、__getattr__()が呼び出されない
print(obj._vars)    #=> {'x': 10, 'y': 20}
