class Hello(object):

    def __init__(self, default_name="World"):
        self._default_name = default_name

    def __call__(self, name=None):
        if name is None:
            name = self._default_name
        print(f"Hello, {name}!")

## 使用例
hello = Hello("WORLD")  #<- デフォルトの表示名を指定すると
hello()                 #<- それが出力に使われる
