def f1(a, b=1, c=[], *, d=None, e={}):
    """Sample function"""
    pass

print(f1.__name__)           #=> f1
print(f1.__qualname__)       #=> f1
print(f1.__doc__)            #=> Sample function
print(type(f1.__code__))     #=> <class 'code'>
print(f1.__defaults__)       #=> (1, [])
print(f1.__kwdefaults__)     #=> {'d': None, 'e': {}}
print(f1.__closure__)        #=> None
print(type(f1.__globals__))  #=> <class 'dict'>

## __name__と__qualname__の違い
class Say:
    def hello(self, name):
        print(f"Hello, {name}!")
print()
print(Say.hello.__name__)          #=> hello
print(Say.hello.__qualname__)      #=> Say.hello
