from types import FunctionType

class Dummy:
    def foo(): pass
    def bar(): pass
    def baz(): pass

## 開始行番号とメソッド名と関数オブジェクトの組
tuples = [ (val.__code__.co_firstlineno, name, val)
               for name, val in Dummy.__dict__.items()
                   if isinstance(val, FunctionType) ]
## 関数の開始行番号の小さい順に並び替えて出力
tuples.sort()
for _, name, val in tuples:
    print(f"{name}: {val}")
