class Dummy:
    x = 1000       #<- クラス変数
    y = 2000       #<- クラス変数

    def __init__(self, x, y=None):
        self.x = x
        if y is not None:  #<- yがNoneのときは
            self.y = y     #<- self.yを設定しない

obj = Dummy(10)    #<- xは指定するけどyは指定しない
print(obj.__dict__)   #=> {'x': 10}  (xはあるけどyがない)

print(obj.x)       #<- インスタンス変数へのアクセス
print(obj.y)       #<- 実はクラス変数へのアクセス

Dummy.y = 9999     #<- クラス変数を変えるとobj.yも変わる
print(obj.y)       #=> 9999
