class Hello:

    def __init__(self, name):
        self.name = name

    def hello(self):
        return f"Hello, {self.name}!"  #<- selfを使っていることに注意

## オブジェクトを2つ作成（どちらも同じクラスを使う）
obj1 = Hello("world")
obj2 = Hello("world")   #<- こちらに特異メソッドを設定してみる

## クロージャを生成して属性に設定する
def newhello(self):    #<- selfを受け取る
    def hello():       #<- クロージャを作成し、その中で
        return f"こんにちは, {self.name}!" #<- selfを使用
    return hello       #<- クロージャを返す
obj2.hello = newhello(obj2) #<- クロージャを属性に設定

## メソッドを呼び出す
print(obj1.hello())    #=> Hello, world!
print(obj2.hello())    #=> こんにちは, world!
