class Hello:

    def __init__(self, name):
        self.name = name

    def hello(self):
        return f"Hello, {self.name}!"  #<- selfを使っていることに注意

## オブジェクトを2つ作成（どちらも同じクラスを使う）
obj1 = Hello("world")
obj2 = Hello("world")   #<- こちらに特異メソッドを設定してみる

## 特異メソッド用の関数
def hello(self):
    return f"こんにちは, {self.name}!" #<- selfを使用

## メソッドオブジェクトを作成して設定する
from types import MethodType
obj2.hello = MethodType(hello, obj2)

## メソッドを呼び出す
print(obj1.hello())    #=> Hello, world!
print(obj2.hello())    #=> こんにちは, world!
