class Hello:

    def __init__(self, name):
        self.name = name

    def hello(self):
        return f"Hello, {self.name}!"

## 改変前
obj = Hello("world")
print(obj.hello())   #=> Hello, world!

## 子クラスを定義し、メソッドを上書き
class Hello2(Hello):
    def hello(self):
        return f"こんにちは, {self.name}!"

## オブジェクトの所属クラスを変更
obj.__class__ = Hello2

## 改変後
print(obj.hello())  #=> こんにちは, world!
