class HelloA:            #<- 親クラス
    def hello(self):
       return "Hello, world"

class HelloB(HelloA):    #<- 子クラス
    def hello(self):
        ## 親クラスのメソッドを呼ぶために、
        ## 現在のクラス (HelloB) と現在のオブジェクト (self) を指定
        s = super(HelloB, self).hello()
        return s + "!!"  #<- 戻り値に「!!」を足す

print(HelloA().hello())  #=> Hello, world
print(HelloB().hello())  #=> Hello, world!!
