class Hello:

    def __init__(self, name):
        self._name = name

    def _get_name(self):         #<- getter関数
        return self._name

    def _set_name(self, value):  #<- setter関数
        self._name = value

    name = property(_get_name, _set_name)  #<- プロパティ

## プロパティに__get__()や__set__()があることを確認
name = Hello.__dict__['name']  #<- プロパティオブジェクトを取り出す
print(name)            #=> <property object at 0x10b105e00>
print(name.__get__)    #=> <method-wrapper '__get__' ...>
print(name.__set__)    #=> <method-wrapper '__set__' ...>
print(name.__delete__) #=> <method-wrapper '__delete__' ...>
