class Hello:

    def __init__(self, name):
        self.name = name

    def hello(obj):   #<- この時点では普通の関数
        print(f"Hello, {obj.name}!")

obj = Hello("world")
#obj.hello()   #<- これを分解する

## (1) hello()は関数なので__get__()が定義されている。
## (2) そのためobj.helloにアクセスすると__get__()が実行される。
## (3) そして関数の__get__()はメソッドオブジェクトを返す。
method = obj.hello  #<- hello.__get__(obj, Hello)が実行される

## (4) メソッドオブジェクトを実行する
method()   #=> Hello, world!
