class HelloMeta(type):
    def __lshift__(self, val):  #<- '<<' 演算子を表す特殊メソッド
        print(f"Hello, {val}!")

class Hello(object, metaclass=HelloMeta):
    pass

## 演算子として呼び出しても動作してくれる！
Hello.__lshift__('world')      #=> Hello, world!
Hello << 'world'               #=> Hello, world!
