class HelloMeta(type):
    def __lshift__(self, val):  #<- '<<' 演算子を表す特殊メソッド
        print(f"Hello, {val}!")

class Hello(object, metaclass=HelloMeta):
    def __lshift__(self, val):  #<- '<<' 演算子のインスタンスメソッド
        print(f"こんにちは, {val}!")

## クラスメソッド
Hello << "world"       #=> Hello, world!

## インスタンスメソッド
Hello() << "world"     #=> Hello, world!
