class Parent:
    ## 子クラスオブジェクトの初期設定を行う
    ## （自動的にクラスメソッドとして扱われる）
    def __init_subclass__(cls):
        cls.NAME = cls.__name__  # クラス変数を設定

class Child1(Parent):   #<- クラスを継承
    pass

## クラス変数を確認
print(Child1.NAME)   #=> Child1
print(Parent.NAME)   #=> AttributeError
