## このようなfor文は、
for x in items:                  #<- 要素を1つずつ取り出して、
    ...                          #<- ブロックを実行。

## これと同じ
iterator = items.__iter__()      #<- イテレータを生成。
while True:                      #<- 無限ループの中で、
    try:
        x = iterator.__next__()  #<- イテレータから要素を取り出し、
    except StopIteration:        #<- 専用の例外が発生したら、
        break                    #<- 無限ループを脱出。
    ...                          #<- ブロックを実行。
