## ジェネレータ関数（yield文を含むので）
def genfunc10():
    yield "1st"    #<- 一時停止し、"1st"を返す
    yield "2nd"    #<- 一時停止し、"2nd"を返す
    yield "3rd"    #<- 一時停止し、"3rd"を返す
    #--- end ---   #<- 関数の最後に到達するとStopIteration例外

## ジェネレータオブジェクトの __iter__() は自分自身を返す
gen = genfunc10()
assert gen.__iter__() is gen

## そのためfor文で使える
for x in genfunc10():
    print(x)
