def toggle(val1, val2):
    """呼び出すたびに値を交互に返す"""
    is_odd = True
    while True:
        if is_odd:
            yield val1
        else:
            yield val2
        is_odd = not is_odd

gen = toggle("blue", "green")
print(gen.__next__())   #=> blue
print(gen.__next__())   #=> green
print(gen.__next__())   #=> blue
print(gen.__next__())   #=> green
