def genfunc8():
    print("BEFORE")
    try:
        yield      #<- ここから再開したときに例外が発生
    except Exception as ex:  #<- 例外をキャッチするので
        print(f"** ex={ex}")
    print("AFTER")   #<- 続きの処理が実行させる
    yield 123        #<- 123 がthrow()の戻り値になる

gen = genfunc8()
gen.__next__()   #<- 処理が開始され、yield文で一時停止
val = gen.throw(RuntimeError, "エラーメッセージ")
print(val)       #=> 123
