from contextlib import contextmanager

class Hello:

    def __init__(self, name):
        self.name = name

    @contextmanager
    def hello(self):
        print("前処理")
        yield self
        print("後処理")

obj = Hello("world")
with obj.hello():
    print(f"Hello, {obj.name}")
