class Hello:

    def __init__(self, name):
        self.name = name

    def hello(self):
        return HelloContext(self)

class HelloContext:

    def __init__(self, obj):
        self.obj = obj

    def __enter__(self):
        print("前処理")
        return self.obj

    def __exit__(self, *args):
        print("後処理")

obj = Hello("world")
with obj.hello():
    print(f"Hello, {obj.name}")
