from contextlib import contextmanager

@contextmanager
def f1(value):
    print("** enter")   #<- 前処理
    yield value         #<- with文のブロックが実行される
    print("** exit")    #<- 後処理

## 使い方
with f1(123) as x:
    print(f"x={x}")
