import sys
import traceback

## 例外とトレースバックを表示する関数
def excepthook(exc_type, exc, exc_traceback):
    items = traceback.format_exception(exc_type, exc, exc_traceback)
    sys.stdout.write("".join(items))

## 標準のエラーハンドラとして指定する
sys.excepthook = excepthook

def f1(): f2()
def f2(): f3()
def f3(): blabla()
f1()
