class Hello:
    pass

if __name__ == "__main__":
    ## 実行ファイルとして呼び出された場合だけ、__main__ モジュールを
    ## hello モジュールとして登録する
    import sys
    mod = sys.modules["__main__"]   #<- __main__ モジュールを
    sys.modules["hello"] = mod      #<- hello モジュールとして登録
    mod.__name__ = "hello"          #<- モジュール名も変更する
    ## またはグローバル変数（この場合は Hello）を hello モジュールの値で
    ## 上書きする方法もある
    #from hello import Hello

    ## これ以降で import hello すると、登録済みのモジュールが使われる
    import hello_test
    print(hello_test.Hello is Hello)   #=> True
    print(id(Hello))             #=> 例：140322451552800
    print(id(hello_test.Hello))  #=> 例：140322451552800
